Loading...
Searching...
No Matches
Mouse Struct Reference

A mouse event. It contains the coordinate of the mouse, the button pressed and the modifier (shift, ctrl, meta). More...

## Public Types

enum | Button { Left = 0 , Middle = 1 , Right = 2 , None = 3 , WheelUp = 4 , WheelDown = 5 , WheelLeft = 6 , WheelRight = 7 }
enum | Motion { Released = 0 , Pressed = 1 , Moved = 2 }

## Data Fields

Button | button = Button::None
Motion | motion = Motion::Pressed
bool | shift = false
bool | meta = false
bool | control = false
int | x = 0
int | y = 0

## Detailed Description

A mouse event. It contains the coordinate of the mouse, the button pressed and the modifier (shift, ctrl, meta).

Definition at line 11 of file mouse.hpp.

## Member Enumeration Documentation

## Button

enum Button

Enumerator
Left |
Middle |
Right |
None |
WheelUp |
WheelDown |
WheelLeft |
WheelRight | Supported terminal only.

Definition at line 12 of file mouse.hpp.

## Motion

enum Motion

Enumerator
Released |
Pressed |
Moved |

Definition at line 23 of file mouse.hpp.

## Field Documentation

## button

Button button = Button::None

Definition at line 30 of file mouse.hpp.

## motion

Motion motion = Motion::Pressed

Definition at line 33 of file mouse.hpp.

## shift

bool shift = false

Definition at line 36 of file mouse.hpp.

## meta

bool meta = false

Definition at line 37 of file mouse.hpp.

## control

bool control = false

Definition at line 38 of file mouse.hpp.

## x

int x = 0

Definition at line 41 of file mouse.hpp.

## y

int y = 0

Definition at line 42 of file mouse.hpp.

The documentation for this struct was generated from the following file:

- include/ftxui/component/mouse.hpp